<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\EinstellungenUser\ZahlungInfoVorschauMv;

class ZahlungInfoVorschauMvUseCase extends \Kufer\KuferTools\Basis\UseCase\ToolUseCase
{
  public function __construct($request)
  {
    parent::__construct($request, new ZahlungInfoVorschauMvResponse());
  }

  public static function getToolSectionId()
  {
    return -5;
  }

  public static function getToolId()
  {
    return -5;
  }

  public function hasAccess($pToolsectionId = null)
  {
    if (!\SessionOperations::isCurrentUserMitveranstalter()) {
      return false;
    }

    $tool0settings = \ToolSettingsAPI::getToolSettings(0);

    return $tool0settings->showUserSettings;
  }

  public function action()
  {
    $betrag = '12,34 €';
    $zahldatum = \DateTimeOperations::addDays(\DateTimeOperations::getDateNow(), 7);
    $bic = 'GENODEF123';
    $iban = 'DE12345678901234567890';

    $zahlungInfo = str_replace(array('[BETRAG]', '[ZAHLDATUM]', '[BIC]', '[IBAN]'), array($betrag, $zahldatum, $bic, $iban), $this->request->zahlungInfo);
    $zahlungInfo = \StringOperations::convertLinebreaks2HTML($zahlungInfo);

    return $this->getResponse($zahlungInfo);
  }

  protected function getResponse($pZahlungInfo)
  {
    $this->response->zahlungInfo = $pZahlungInfo;

    return $this->response;
  }
}

class ZahlungInfoVorschauMvRequest
{
  public $zahlungInfo;
}

class ZahlungInfoVorschauMvResponse extends \Kufer\KuferTools\Basis\UseCase\ToolResponse
{
  public $zahlungInfo;
}